OpenJPEG: manfbox_manager.c File Reference

OpenJPEG 2.5.3

Macros | Functions
manfbox_manager.c File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "manfbox_manager.h"`

## Macros
#define | FCGI_stdout stdout
#define | FCGI_stderr stderr
#define | logstream stderr

## Functions
manfbox_param_t * | gene_manfbox (box_param_t *box)
| generate manifest box
void | delete_manfbox (manfbox_param_t **manf)
| delete manifest box
void | print_manfbox (manfbox_param_t *manf)
| print manf box parameters
boxheader_param_t * | search_boxheader (const char type[], manfbox_param_t *manf)
| search a boxheader by box type from manifest box

## Macro Definition Documentation

## ◆ FCGI_stderr

#define FCGI_stderr stderr

Referenced by search_boxheader().

## ◆ FCGI_stdout

#define FCGI_stdout stdout

## ◆ logstream

#define logstream stderr

## Function Documentation

## ◆ delete_manfbox()

void delete_manfbox | ( | manfbox_param_t ** | manf | ) |

delete manifest box

Parameters

  [in,out] | manf | addressof the manfbox pointer

References boxheader_param::next.

Referenced by set_cidxdata(), set_ppixdata(), and set_thixdata().

## ◆ gene_manfbox()

manfbox_param_t * gene_manfbox | ( | box_param_t * | box | ) |

generate manifest box

Parameters

  [in] | box | pointer to the reference manf box

Returns
  generated manfbox

References manfbox_param::first, gene_childboxheader(), get_DBoxlen(), boxheader_param::headlen, and boxheader_param::next.

Referenced by set_cidxdata(), set_ppixdata(), and set_thixdata().

## ◆ print_manfbox()

void print_manfbox | ( | manfbox_param_t * | manf | ) |

print manf box parameters

Parameters

  [in] | manf | manf box pointer

References manfbox_param::first, boxheader_param::next, and print_boxheader().

## ◆ search_boxheader()

boxheader_param_t * search_boxheader | ( | const char | type[],
|  | manfbox_param_t * | manf )

search a boxheader by box type from manifest box

Parameters

  [in] | type | box type
  [in] | manf | manf box pointer

Returns
  found box pointer

References FCGI_stderr, manfbox_param::first, boxheader_param::next, and boxheader_param::type.

Referenced by set_cidxdata(), and set_ppixdata().